### Hierarchy

- AlertModalData

## Index

### Properties

- buttons
- close
- content
- hasScrollingContent
- label
- showCloseButton
- size
- title
- type

## Properties

### Optional buttons

buttons: Array<ModalButton>

- Defined in src/modal/alert-modal.interface.ts:30

### Optional close

close: function

- Defined in src/modal/alert-modal.interface.ts:42

#### Type declaration

- - (trigger: "overlay" | "close"): boolean

  - #### Parameters

    - ##### Optional trigger: "overlay" | "close"

    #### Returns boolean

### Optional content

content: string

- Defined in src/modal/alert-modal.interface.ts:22

### Optional hasScrollingContent

hasScrollingContent: boolean

- Defined in src/modal/alert-modal.interface.ts:37

### Optional label

label: string

- Defined in src/modal/alert-modal.interface.ts:14

### Optional showCloseButton

showCloseButton: boolean

- Defined in src/modal/alert-modal.interface.ts:46

### Optional size

size: "xs" | "sm" | "lg"

- Defined in src/modal/alert-modal.interface.ts:26

### Optional title

title: string

- Defined in src/modal/alert-modal.interface.ts:18

### Optional type

type: AlertModalType

- Defined in src/modal/alert-modal.interface.ts:10

Generated using TypeDoc